Bug 229927 - devel/lua-stdlib: DOCS causes conflict between multiple lua versions
Summary: devel/lua-stdlib: DOCS causes conflict between multiple lua versions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-21 16:29 UTC by andrew
Modified: 2020-04-19 15:11 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2018-07-21 16:29:40 UTC
devel/lua-stdlib installs docs in doc/stdlib, which is (a) rather too generic a name and (b) doesn't include the Lua version, so it conflicts if you try and install the module for multiple Lua versions.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-07-29 15:08:16 UTC
Do we support multiple lua versions now? I think only the default lua version is chosen.
Comment 2 andrew 2018-07-29 15:58:30 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #1)

We certainly support installing multiple versions of the language itself, and each version gets its own module directories. The module itself works fine if you build it multiple times for different versions, but unless you turn off the DOCS option the resulting packages conflict on the docs files.

With 5.4 coming out soon this is only becoming more of an issue.

The Lua language port for 5.3 is likely to be updated soon for 5.3.5 (see https://reviews.freebsd.org/D13690 ) and it will install its own docs under doc/lua53/lua, intentionally leaving open the possibility for lua libraries to install docs in doc/lua53/${PORTNAME} or similar. I have also proposed adding FLAVOR support to lua.mk (see https://reviews.freebsd.org/D16494 ) which would simplify handling of this.
Comment 3 andrew 2020-04-19 15:11:01 UTC
Close as fixed by addition of flavor support in r531700.